<template>
  <div class="container" id="detail-table">
    <div class="total-number">{{ $t("message.statistics.totalNumber") }}: <span class="total-sum" data-placeholder="test">{{Catalogues_Sum}}</span></div>
    <table class="table table-hover">
              <thead v-sticky sticky-side="top" id="sticky"> <!-- v-sticky sticky-side="top" id="sticky" -->
                <tr>
                  <th v-on:click="sortTable(spatial)" class="table-img-sort">
                    <span class="hide">{{spatial}} </span>
                     <span :class="{ 'active': sortColumn === spatial }"> Country </span>
                     &nbsp;
                      <span :class="{ 'up': sortColumn === spatial & ascending === true }"></span>
                      <span :class="{ 'down': sortColumn === spatial & ascending === false}"></span>
                  </th>
                  <th v-on:click="sortTable(name)" class="table-name-small">
                    <span class="hide">{{name}} </span>
                    <span :class="{ 'active': sortColumn === name }"> Catalogue  </span>
                      &nbsp;
                      <span :class="{ 'up': sortColumn === name & ascending === true }"></span>
                      <span :class="{ 'down': sortColumn === name & ascending === false}"></span>
                  </th>
                   <th class="table-trend">
                    Trend
                  </th>
                  <th v-on:click="sortTable(CountryCount)" class="table-percent">
                    <span class="hide">{{CountryCount}} </span>
                    <span :class="{ 'active': sortColumn === CountryCount }"> % </span>
                      &nbsp;
                      <span :class="{ 'up': sortColumn === CountryCount & ascending === true }"></span>
                      <span :class="{ 'down': sortColumn === CountryCount & ascending === false}"></span>
                  </th>
                  <th v-on:click="sortTable(CountryCount)" class="table-number">
                     <span class="hide">{{CountryCount}} </span>
                    # of Datasets
                  </th>
                  <!-- <th class="table-updated">
                    Updated
                  </th> -->
                </tr>
              </thead>
              <tbody>
              <div v-if="this.loading === true" class="lds-ring" id="spinner-overview"><div></div><div></div><div></div><div></div></div>
              <!-- eslint-disable-next-line  -->
                <tr v-for="row in Catalogues">
                   <td class="row-img">
                     <div v-if="row.spatial === 'cz' "> <img src="../assets/img/flags/cz.png" width="30px" class="flag-icon">  </div>
                      <div v-else-if="row.spatial === 'ee' "> <img src="../assets/img/flags/ee.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'es' "> <img src="../assets/img/flags/es.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'hr' "> <img src="../assets/img/flags/hr.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'pl' "> <img src="../assets/img/flags/pl.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'dk' "> <img src="../assets/img/flags/dk.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'gr' "> <img src="../assets/img/flags/gr.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'ie' "> <img src="../assets/img/flags/ie.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'nl' "> <img src="../assets/img/flags/nl.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'fi' "> <img src="../assets/img/flags/fi.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'de' "> <img src="../assets/img/flags/de.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'hu' "> <img src="../assets/img/flags/hu.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'fr' "> <img src="../assets/img/flags/fr.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'se' "> <img src="../assets/img/flags/se.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'li' "> <img src="../assets/img/flags/li.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'no' "> <img src="../assets/img/flags/no.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'lt' "> <img src="../assets/img/flags/lt.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'lu' "> <img src="../assets/img/flags/lu.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'ro' "> <img src="../assets/img/flags/ro.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'md' "> <img src="../assets/img/flags/md.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'sk' "> <img src="../assets/img/flags/sk.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'si' "> <img src="../assets/img/flags/si.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'at' "> <img src="../assets/img/flags/at.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'lv' "> <img src="../assets/img/flags/lv.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'gb' "> <img src="../assets/img/flags/gb.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'mt' "> <img src="../assets/img/flags/mt.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'cy' "> <img src="../assets/img/flags/cy.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'bg' "> <img src="../assets/img/flags/bg.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'is' "> <img src="../assets/img/flags/is.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'rs' "> <img src="../assets/img/flags/rs.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'be' "> <img src="../assets/img/flags/be.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'ua' "> <img src="../assets/img/flags/ua.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'ch' "> <img src="../assets/img/flags/ch.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'it' "> <img src="../assets/img/flags/it.png" width="30px" class="flag-icon"> </div>
                      <div v-else-if="row.spatial === 'pt' "> <img src="../assets/img/flags/pt.png" width="30px" class="flag-icon"> </div>
                       <div v-else-if="row.spatial === 'ior' "> <img src="../assets/img/flags/ior.png" width="30px" class="flag-icon ior"> </div>
                      <!--- all v-else-if flags here -->
                      <div v-else> <img src="../assets/img/eu_flag.svg" width="30px" class="flag-icon"></div>
                   </td>
                   <td class="row-name">
                     {{row.name}} ({{row.spatial}})
                   </td>
                      <td class="row-trend">
                      <div v-if="row.name === 'Geo Data Portal Navarra region' ">  <trend
                      :data = finalArray[0]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend></div>
                      <div v-else-if="row.name === 'Geo data portal Czech Republic' ">  <trend
                      :data = finalArray[1]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Belgian open data portal harvesting data from federal regional and local portals in Belgium' ">  <trend
                      :data = finalArray[2]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Geo Data Portal South Moravian region' ">  <trend
                      :data = finalArray[3]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Geo Data Portal Estonia' ">  <trend
                      :data = finalArray[4]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Geo Data Portal Germany' ">  <trend
                      :data = finalArray[5]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Norway' ">  <trend
                      :data = finalArray[6]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend></div>
                      <div v-else-if="row.name === 'Open Data Portal Luxembourg' ">  <trend
                      :data = finalArray[7]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Geo Data Portal Malta' ">  <trend
                      :data = finalArray[8]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data portal Slovenia' ">  <trend
                      :data = finalArray[9]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend></div>
                      <div v-else-if="row.name === 'Open Data Portal Finland' ">  <trend
                      :data = finalArray[10]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Croatia' ">  <trend
                      :data = finalArray[11]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Latvia' "> <trend
                      :data = finalArray[12]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend></div>
                      <div v-else-if="row.name === 'Open Government Data Portal Austria' ">  <trend
                      :data = finalArray[13]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal London' ">  <trend
                      :data = finalArray[14]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'European Location Services' ">  <trend
                      :data = finalArray[15]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Geospatial Information Latvia' ">  <trend
                      :data = finalArray[16]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Cadastre Czech Republic' ">  <trend
                      :data = finalArray[17]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Moldova' ">  <trend
                      :data = finalArray[18]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Geo Data Portal Slovenia' ">  <trend
                      :data = finalArray[19]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Geo Data Portal Hungary' ">  <trend
                      :data = finalArray[20]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'G-SIP Konstancin-Jeziorna' ">  <trend
                      :data = finalArray[21]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'OPEN DATA DK' ">  <trend
                      :data = finalArray[22]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Greece' ">  <trend
                      :data = finalArray[23]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Austria for business culture.NGO / NPO.research and civil society' ">  <trend
                      :data = finalArray[24]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Serbia' ">  <trend
                      :data = finalArray[25]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Geoportal Zlin Region' ">  <trend
                      :data = finalArray[26]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'open-data-portal-suedtirol' ">  <trend
                      :data = finalArray[27]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Ukraine' ">  <trend
                      :data = finalArray[28]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Estonia' ">  <trend
                      :data = finalArray[29]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Open Data Portal Zagreb' ">  <trend
                      :data = finalArray[30]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Meteo Data Portal Europe' ">  <trend
                      :data = finalArray[31]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'CEDAI Catalog Service for Provision of IMEDEA metadata' ">  <trend
                      :data = finalArray[32]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                      <div v-else-if="row.name === 'Geo Data Portal France' ">  <trend
                      :data = finalArray[33]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Open Data Portal Spain' ">  <trend
                      :data = finalArray[34]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Open Data Portal Portugal' ">  <trend
                      :data = finalArray[35]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Geo Data Portal Denmark' ">  <trend
                      :data = finalArray[36]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Open Data Portal United Kingdom' ">  <trend
                      :data = finalArray[37]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'SDI Andalusia' ">  <trend
                      :data = finalArray[38]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Geo Data Portal Sweden' ">  <trend
                      :data = finalArray[39]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Open Data Portal Germany' ">  <trend
                      :data = finalArray[40]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Geo Data Portal Norway' ">  <trend
                      :data = finalArray[41]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Geo Data Portal Spain' ">  <trend
                      :data = finalArray[42]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'bmlfuw-at' ">  <trend
                      :data = finalArray[43]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Spatial Data Portal Italy' ">  <trend
                      :data = finalArray[44]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Open Data Portal Bulgaria' ">  <trend
                      :data = finalArray[45]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Water Data Portal France' ">  <trend
                      :data = finalArray[46]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Open Data Portal Europe' ">  <trend
                      :data = finalArray[47]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Open Data Portal Cyprus' ">  <trend
                      :data = finalArray[48]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Geo Data Portal Netherlands' ">  <trend
                      :data = finalArray[49]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Open Data Portal Poland' ">  <trend
                      :data = finalArray[50]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Open Data Portal Iceland' ">  <trend
                      :data = finalArray[51]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Geo Data Portal Poland' ">  <trend
                      :data = finalArray[52]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'Meteo Data Finland' ">  <trend
                      :data = finalArray[53]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                        <div v-else-if="row.name === 'ypes' ">  <trend
                      :data = finalArray[54]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Geo Data Portal Luxembourg' ">  <trend
                      :data = finalArray[55]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Open Data Portal Switzerland' ">  <trend
                      :data = finalArray[56]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'data-gov-ie' ">  <trend
                      :data = finalArray[57]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Open Data Portal Romania' ">  <trend
                      :data = finalArray[58]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Open Data Portal Slovakia' ">  <trend
                      :data = finalArray[59]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'European Data Portal' ">  <trend
                      :data = finalArray[60]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Geo Data Portal Slovakia' ">  <trend
                      :data = finalArray[61]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Czech National Open Data Portal' ">  <trend
                      :data = finalArray[62]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Metadata Catalog of the Czech Geological Survey' ">  <trend
                      :data = finalArray[63]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Geo Data Portal Romania' ">  <trend
                      :data = finalArray[64]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Geo-System metadata catalogue' ">  <trend
                      :data = finalArray[65]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Geo Data Portal Croatia' ">  <trend
                      :data = finalArray[66]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Geo Data Portal Lithuania' ">  <trend
                      :data = finalArray[67]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Open Data Portal Italy' ">  <trend
                      :data = finalArray[68]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'geocat-li' ">  <trend
                      :data = finalArray[69]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Open Data Portal Sweden' ">  <trend
                      :data = finalArray[70]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Open Data Portal France' ">  <trend
                      :data = finalArray[71]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Open Data Portal Netherlands' ">  <trend
                      :data = finalArray[72]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'Open Data Trentino' ">  <trend
                      :data = finalArray[73]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth>
                      </trend> </div>
                       <div v-else-if="row.name === 'European Union Open Data Portal' ">  <trend
                      :data = finalArray[74]
                      :gradient="['#20B2AA']"
                      auto-draw
                      smooth></trend></div>
                      <!--- all v-else-if flags here -->
                      <div v-else> </div>
                   </td>
                   <td class="row-percent">
                     <span id="percent" v-if="round(100/(Catalogues_Sum/row.stats[row.stats.length-1].count),4) == 0">  {{round(100/(Catalogues_Sum/row.stats[row.stats.length-1].count),100)}}&nbsp;%  </span>
                     <span v-else>
                      <span id="percent">{{round(100/(Catalogues_Sum/row.stats[row.stats.length-1].count),4)}}&nbsp;% </span>
                      </span>
                     <div class="progress" style="height: 5px;">
                             <div class="progress-bar" role="progressbar" :style="'width:'+100/(Catalogues_Sum/row.stats[row.stats.length-1].count) +'%'"> </div>
                     </div>
                    </td>
                   <td class="row-number">
                   {{row.stats[row.stats.length-1].count}}
                   </td>
                   <!-- <td class="row-updated">
                     {{row.stats[0].date}}
                   </td> -->
                </tr>
            </tbody>
    </table>
  </div>
</template>

<script>
/* eslint-disable */
import axios from 'axios'
import Vue from 'vue'


export default {
  name: 'table',
  data () {
    return {
      loaded: false,
      chartdata: [10, 20],
      Catalogues_Sum: '',
      Catalogues: [],
      loading: true,
      desc: ['yes', 'no', 'unknown'],
      data: [],
      showError: false,
      errorMessage: 'No Data availale.',
      name: 'name',
      CountryCount: 'CountryCount',
      ascending: true,
      sortColumn: '',
      spatial: 'spatial',
      isActive: false,
      isLoading: true,
      date_dummy: [],
      count_dummy: [],
      finalArray: [],
      hope: []
    }
  },
  mounted () {
    if (this.$route.params.package) {
      this.loading = true
      this.package = this.$route.params.package
    }
  },
  methods: {
    sortTable: function (x) {
      if (this.sortColumn === x) {
        this.ascending = !this.ascending
      } else {
        this.ascending = false
        this.sortColumn = x
      }
      var ascending = this.ascending
      this.Catalogues.sort(function (a, b) {
        if (a[x] > b[x]) {
          return ascending ? 1 : -1
        } else if (a[x] < b[x]) {
          return ascending ? -1 : 1
        }
        return 0
      })
    },
    sortTableStart: function (x) {
      if (this.sortColumn === x) {
        this.ascending = this.ascending
      } else {
        this.ascending = true
        this.sortColumn = x
      }
      var ascending = this.ascending
      this.Catalogues.sort(function (a, b) {
        if (a[x] > b[x]) {
          return ascending ? 1 : -1
        } else if (a[x] < b[x]) {
          return ascending ? -1 : 1
        }
        return 0
      })
    },
    addSortableCountryCount (arr) {
      console.log(this.Catalogues)
      for (var x = 0; x < arr.length; x++) {
        Vue.set(this.Catalogues[x], 'CountryCount', +this.Catalogues[x].stats[this.Catalogues[1].stats.length-1].count)
      }
      // console.log('SORT Count 3')
      return arr
    },
    addLabels () {
      for (var i = 0; i < this.Catalogues.length; i++){
        for (var l = 0; l < this.Catalogues[i].stats.length; l++) {
            this.count_dummy.push(+this.Catalogues[i].stats[l].count)   //+ macht aus String zahl 
        }
      }
      this.hope.push(this.count_dummy)
        for (i = 0; i < this.count_dummy.length ; i +=  this.Catalogues[0].stats.length) {
            this.finalArray.push(this.count_dummy.slice(i, i+this.Catalogues[0].stats.length));
      }
      for (var l = 0; l < this.Catalogues[0].stats.length; l++) {
        this.date_dummy.push(this.Catalogues[0].stats[l].date)
      }
    },
    round (zahl, nStelle) {
      zahl = (Math.round(zahl * nStelle) / nStelle)
      return zahl
    },
    requestData () {
      axios.get(this.$env.ROOT_API + '/catalogue-statistics/data/ds-per-country-and-catalogue?list=true', { // http://odp-lic.ppe-aws.europeandataportal.eu:9090/data/ds-per-catalogue'
      })
        .then(response => {
          // console.log(response.data)
          this.Catalogues = response.data.result
          this.Catalogues_Sum = response.data.sum
          this.loaded = true
          this.loading = false
          this.sortTableStart(this.spatial)
          this.$emit('changeLoading', this.loading)
          this.addSortableCountryCount(this.Catalogues)
          this.addLabels()
        })
        .catch(err => {
          this.errorMessage = err.response.data.error
          this.showError = true
        })
    },
    isMobile () {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true
      } else {
        return false
      }
    },
    isExplorer () {
      if (navigator.userAgent.indexOf('MSIE ') > -1 || navigator.userAgent.indexOf('Trident/') > -1 || window.navigator.userAgent.indexOf('Edge') > -1) {
        //  alert ('It is InternetExplorer')
        return true
      } else {
        //  alert('It is NOT InternetExplorer')
        return false
      }
    }
  },
  computed: {
  },
  Filters: {
    addPercentage: function (value) {
      return this.value + '%'
    }
  },
  created: function () {
    this.requestData()
  }
}
</script>

<style>
[v-cloak] { display: none; }

#detail-table{
  margin-top:25px;
}

.total-number{
  padding-left: 5px;
  margin-bottom: 10px;
  float: right;
}

.total-sum{
  font-weight: 500;
  background-color:#8cd8f93a;
  padding: 5px;
  border-radius: 5px;
  min-width: 100px;
  display: block;
  min-height: 33px;
}

.active-table-head{
  text-decoration:underline;
}

.active{
   text-decoration: none;
}
.down {
  border: solid black;
  border-width: 0 1px 1px 0;
  display: inline-block;
  padding: 2px;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  margin-bottom:3px
}
.up {
  border: solid black;
  border-width: 0 1px 1px 0;
  display: inline-block;
  padding: 2px;
  transform: rotate(-135deg);
  -webkit-transform: rotate(-135deg);
  margin-bottom:1px
}

.table-img {
  cursor: pointer;
  text-align: left;
  width: 100px;
}
.table-img-sort {
  cursor: pointer;
  text-align: center;
  width: 130px;
}
.table-name-small {
  cursor: pointer;
  text-align: left;
  width: 420px;
}
.table-trend {
  cursor: pointer;
  text-align: center;
  width: 150px;
  padding-right: 20px !important;
}
.table-name {
  cursor: pointer;
  text-align: left;
  width: 450px;
}
.table-percent {
  cursor: pointer;
  text-align: left;
  width: 160px;
}
.table-number {
  cursor: pointer;
  text-align: center;
  width: 150px;
}
.table-updated {
  cursor: pointer;
  text-align: left;
  width: 110px;
}

.row-img {
  text-align: left;
  width: 100px;
}
.row-name {
  text-align: left;
  width: 450px;
}
.row-percent {
  text-align: left;
  width: 160px;
}
.row-number {
  text-align: center;
  width: 150px;
}
.row-updated {
  text-align: left;
  width: 110px;
  font-size: 15px;
}

.hide{
  visibility: hidden;
  font-size: 0px;
}

  .flag-icon{
    width: 25px;
    border-radius: 50%;
    margin-right: 14px;
    margin-left: 20px;
  }
  .flag-icon{
    width: 25px;
    border-radius: 50%;
    margin-right: 14px;
    margin-left: 20px;
  }

  .progress-bar {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    background-color: #3B6AA0;
    -webkit-transition: width 0.6s ease;
    transition: width 0.6s ease;
}

 #percent {
    text-align: center;
    color: #000;
    margin-right: 135px;
    font-size: 16px;
  }

  #less{
    font-size: 12px;
    color: darkgrey;
  }

  #sticky {
  background-color: #fff !important;
  background: solid;
  min-width: 952px !important;
}

.ior {
  opacity: 0.8;
}
</style>
